Get a Invoice
curl --request GET \
--url https://api.zivio.net/api/v4/invoices/{id} \
--header 'Authorization: Bearer <token>' \
--header 'zivio-tenant-id: <api-key>'import requests
url = "https://api.zivio.net/api/v4/invoices/{id}"
headers = {
"Authorization": "Bearer <token>",
"zivio-tenant-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'zivio-tenant-id': '<api-key>'}
};
fetch('https://api.zivio.net/api/v4/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 101,
"external_id": "EXT-1001",
"external_provider": "Example external_provider",
"description": "Complete redesign of corporate website with modern UX",
"status": "unpaid",
"project_summary": "Website Redesign Project - Complete redesign of corporate website with modern UX",
"vatable": true,
"reference_number": "INV-20240001",
"self_bill": false,
"subtype": "standard",
"type": "credit_note",
"client": null,
"client_org": null,
"supplier": {
"id": 101,
"name": "Acme Corporation",
"email": "user1@example.com",
"vetting_status": "PASSED",
"tax_number": "Example tax_number",
"tax_registered": true
},
"milestone_id": 501,
"line_item_sheet_id": 501,
"sent_at": "2024-01-16T10:30:00+00:00",
"dated_on": "2024-01-16",
"due_on": "2024-01-16",
"client_due_on": "2024-01-16",
"payment_terms_in_days": 30,
"client_payment_terms_in_days": 30,
"paid_at": "2024-01-16T10:30:00+00:00",
"is_credit_note": false,
"credit_note_id": 501,
"credit_note_reason": null,
"manual_client_tax_type": {
"id": 101,
"label": "Example label",
"country_code": "Example country_code",
"rate": "1500.00",
"domestic_recharge": true,
"tax_reference": 101,
"archived": true,
"custom_fields": {
"department": "Engineering",
"priority": "high",
"cost_code": "CC-001"
},
"created_at": "2024-01-16T10:30:00+00:00",
"updated_at": "2024-01-16T10:30:00+00:00"
},
"net_total": {
"cents": 150000,
"currency": "GBP"
},
"tax_total": {
"cents": 150000,
"currency": "GBP"
},
"total": {
"cents": 150000,
"currency": "GBP"
},
"cis_amount_due": {
"cents": 150000,
"currency": "GBP"
},
"cis_deductible": {
"cents": 150000,
"currency": "GBP"
},
"cis_deduction_total": {
"cents": 150000,
"currency": "GBP"
},
"cis_rate": {
"id": 101,
"label": "Example label",
"country_code": "Example country_code",
"rate": "1500.00",
"domestic_recharge": true,
"tax_reference": 101,
"archived": true,
"custom_fields": {
"department": "Engineering",
"priority": "high",
"cost_code": "CC-001"
},
"created_at": "2024-01-16T10:30:00+00:00",
"updated_at": "2024-01-16T10:30:00+00:00"
},
"cis_contractor": null,
"cis_subcontractor": null,
"invoice_items": [
{
"id": 101,
"external_id": "EXT-1001",
"external_provider": "Example external_provider",
"invoice_id": 501,
"description": "Complete redesign of corporate website with modern UX",
"billing_start": "2024-01-16",
"billing_end": "2024-01-16",
"unit_type": "Example unit_type",
"milestone_id": 501,
"line_item_sheet_id": 501,
"unit_cost": {
"cents": 150000,
"currency": "GBP"
},
"quantity": "1500.00",
"discount": 1500,
"net_total_price": null,
"tax_total": {
"cents": 150000,
"currency": "GBP"
},
"tax_rate": "1500.00",
"total_price": null,
"cis_type": {
"id": 101,
"label": "Example label",
"country_code": "Example country_code",
"rate": "1500.00",
"domestic_recharge": true,
"tax_reference": 101,
"archived": true,
"custom_fields": {
"department": "Engineering",
"priority": "high",
"cost_code": "CC-001"
},
"created_at": "2024-01-16T10:30:00+00:00",
"updated_at": "2024-01-16T10:30:00+00:00"
},
"tax_type": {
"id": 101,
"label": "Example label",
"country_code": "Example country_code",
"rate": "1500.00",
"domestic_recharge": true,
"tax_reference": 101,
"archived": true,
"custom_fields": {
"department": "Engineering",
"priority": "high",
"cost_code": "CC-001"
},
"created_at": "2024-01-16T10:30:00+00:00",
"updated_at": "2024-01-16T10:30:00+00:00"
},
"manual_client_tax_type": null,
"invoice_item_taxes": [
{
"id": 101,
"invoice_item_id": 501,
"tax_type": null,
"tax_rate": "1500.00",
"tax_amount": {
"cents": 150000,
"currency": "GBP"
},
"sales_tax_amount": {
"cents": 150000,
"currency": "GBP"
},
"ccy": "GBP",
"position": 101,
"created_at": "2024-01-16T10:30:00+00:00",
"updated_at": "2024-01-16T10:30:00+00:00"
},
{
"id": 102,
"invoice_item_id": 502,
"tax_type": null,
"tax_rate": "1500.00",
"tax_amount": {
"cents": 300000,
"currency": "GBP"
},
"sales_tax_amount": {
"cents": 300000,
"currency": "GBP"
},
"ccy": "GBP",
"position": 102,
"created_at": "2024-01-17T10:30:00+00:00",
"updated_at": "2024-01-17T10:30:00+00:00"
}
],
"created_at": "2024-01-16T10:30:00+00:00",
"updated_at": "2024-01-16T10:30:00+00:00",
"manual_tax_type": {
"id": 101,
"label": "Example label",
"country_code": "Example country_code",
"rate": "1500.00",
"domestic_recharge": true,
"tax_reference": 101,
"archived": true,
"custom_fields": {
"department": "Engineering",
"priority": "high",
"cost_code": "CC-001"
},
"created_at": "2024-01-16T10:30:00+00:00",
"updated_at": "2024-01-16T10:30:00+00:00"
}
},
{
"id": 102,
"external_id": "EXT-1002",
"external_provider": "Example external_provider",
"invoice_id": 502,
"description": "Native iOS and Android application",
"billing_start": "2024-01-17",
"billing_end": "2024-01-17",
"unit_type": "Example unit_type",
"milestone_id": 502,
"line_item_sheet_id": 502,
"unit_cost": {
"cents": 300000,
"currency": "GBP"
},
"quantity": "1500.00",
"discount": 1500,
"net_total_price": null,
"tax_total": {
"cents": 300000,
"currency": "GBP"
},
"tax_rate": "1500.00",
"total_price": null,
"cis_type": {
"id": 102,
"label": "Example label",
"country_code": "Example country_code",
"rate": "1500.00",
"domestic_recharge": true,
"tax_reference": 102,
"archived": true,
"custom_fields": {
"department": "Engineering",
"priority": "high",
"cost_code": "CC-001"
},
"created_at": "2024-01-17T10:30:00+00:00",
"updated_at": "2024-01-17T10:30:00+00:00"
},
"tax_type": {
"id": 102,
"label": "Example label",
"country_code": "Example country_code",
"rate": "1500.00",
"domestic_recharge": true,
"tax_reference": 102,
"archived": true,
"custom_fields": {
"department": "Engineering",
"priority": "high",
"cost_code": "CC-001"
},
"created_at": "2024-01-17T10:30:00+00:00",
"updated_at": "2024-01-17T10:30:00+00:00"
},
"manual_client_tax_type": null,
"invoice_item_taxes": [
{
"id": 102,
"invoice_item_id": 502,
"tax_type": null,
"tax_rate": "1500.00",
"tax_amount": {
"cents": 300000,
"currency": "GBP"
},
"sales_tax_amount": {
"cents": 300000,
"currency": "GBP"
},
"ccy": "GBP",
"position": 102,
"created_at": "2024-01-17T10:30:00+00:00",
"updated_at": "2024-01-17T10:30:00+00:00"
},
{
"id": 103,
"invoice_item_id": 503,
"tax_type": null,
"tax_rate": "1500.00",
"tax_amount": {
"cents": 450000,
"currency": "GBP"
},
"sales_tax_amount": {
"cents": 450000,
"currency": "GBP"
},
"ccy": "GBP",
"position": 103,
"created_at": "2024-01-18T10:30:00+00:00",
"updated_at": "2024-01-18T10:30:00+00:00"
}
],
"created_at": "2024-01-17T10:30:00+00:00",
"updated_at": "2024-01-17T10:30:00+00:00",
"manual_tax_type": {
"id": 102,
"label": "Example label",
"country_code": "Example country_code",
"rate": "1500.00",
"domestic_recharge": true,
"tax_reference": 102,
"archived": true,
"custom_fields": {
"department": "Engineering",
"priority": "high",
"cost_code": "CC-001"
},
"created_at": "2024-01-17T10:30:00+00:00",
"updated_at": "2024-01-17T10:30:00+00:00"
}
}
],
"approved_at": "2024-01-16T10:30:00+00:00",
"approved_by": {
"id": 101,
"first_name": "Demo",
"last_name": "User",
"email": "user1@example.com",
"org_id": 501,
"org_name": "Acme Corporation"
},
"level_1_approved_at": "2024-01-16T10:30:00+00:00",
"level_1_approved_by": {
"id": 101,
"first_name": "Demo",
"last_name": "User",
"email": "user1@example.com",
"org_id": 501,
"org_name": "Acme Corporation"
},
"rejected_at": "2024-01-16T10:30:00+00:00",
"rejected_by": {
"id": 101,
"first_name": "Demo",
"last_name": "User",
"email": "user1@example.com",
"org_id": 501,
"org_name": "Acme Corporation"
},
"rejected_reason": null,
"custom_fields": {
"department": "Engineering",
"priority": "high",
"cost_code": "CC-001"
},
"created_at": "2024-01-16T10:30:00+00:00",
"updated_at": "2024-01-16T10:30:00+00:00",
"project": {
"id": 101,
"title": "Website Redesign Project",
"description": "Complete redesign of corporate website with modern UX"
}
}Invoices
Get a Invoice
GET
/
invoices
/
{id}
Get a Invoice
Authorizations
OAuth 2.0 client credentials. The access token from POST /oauth/token is sent as a bearer token. Request only the scopes you need.
Your Zivio organisation identifier. The regional API endpoints serve every Zivio organisation, so each request must identify yours.
Path Parameters
Invoice ID
Response
Invoice details
Available options:
draft, unpaid, paid, level_1_approved, approved, rejected Example:
"draft"
Example:
true
Example:
true
Available options:
invoice, credit_note, all Example:
"invoice"
Show child attributes
Show child attributes
Example:
true
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
true
Example:
true
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Key-value pairs of custom field data
Show child attributes
Show child attributes
Show child attributes
Show child attributes

